#ifndef ILOG_H_INCLUDED
#define ILOG_H_INCLUDED

#include <windows.h>
#include <iostream>
#include <fstream>
#include <string>

class CILog
{
	private:
		std::ofstream outStr;
		std::string logHeader;
		bool fileOpened;
		__int64 startTime, endTime, frequency;

	public:
		void WriteInt(int value, bool addSeparator = true);
		void WriteString(const std::string &value, bool addSeparator = true);
		void WriteDouble(double value, bool addSeparator = true);
		void WritelnInt(int value);
		void WritelnString(const std::string &value);
		void WritelnDouble(double value);
		void AddSeparator();
		void AddSeparator2();
		void AddLine();
		void Add2Lines();
		void StartCountingTime();
		double EndCountingTime();
		void NewLog(std::string fileName);
		CILog(std::string fileName, std::string aLogHeader);
		~CILog();
};

#endif